View Issue Details

IDProjectCategoryView StatusLast Update
0008465ScribusFontspublic2012-04-29 10:58
Reportergpittman Assigned Tofschmid  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSXP 
Product Version1.3.5 
Target Version1.4.1Fixed in Version1.4.1.svn 
Summary0008465: failure of Chinese glyph to transfer from character palette to SE or frame
DescriptionChinese Simplified Language pack was downloaded from MS.
This gives 2 fonts, MS Song, and MS Hei, both TTF.
While Scribus will find these fonts, and they can be inserted using the character palette, they do not appear in the SE window or in the frame, and on exporting to PDF, Preflight Verifier says "Glyph missing".
However, one can use Properties to highlight the glyphs, then change and font in Text tab, and then glyphs show.
Steps To ReproduceDownload and install the above language pack.
Start Scribus.
Use the font, above behavior noted.
Additional InformationI also ported the .ttf file to Linux, and it worked without problems, also exported to PDF, no warning from Preflight Verifier.
Am uploading the MS Hei font file.
TagsNo tags attached.
Patch

Relationships

has duplicate 0009349 closedcbradney Can't write Japanese/Chinese/Korean in Scribus 
has duplicate 0009681 closedjghali Text in symbol fonts appears as red squares and prevent to add more text 

Activities

jghali

2009-09-25 07:16

administrator   ~0022545

Last edited: 2009-09-25 07:19

The glyphs are apparently inserted using the current frame font. The fact that those glyphs do not appear in SE is normal : one have to change the SE display font.

jghali

2009-09-25 09:30

administrator   ~0022546

Doesn't work in Linux either if previous char font or frame default font has not been assigned previously.

cbradney

2011-01-16 18:14

administrator   ~0025406

Removed font from bug as its got nothing to do with the font.. see 9681 re webdings. Set bug to public

fschmid

2012-02-08 17:08

administrator   ~0027666

was the same issue as in bug 10336

Issue History

Date Modified Username Field Change
2009-09-25 02:31 gpittman New Issue
2009-09-25 02:31 gpittman File Added: mshei.ttf
2009-09-25 02:32 christoph_s View Status public => private
2009-09-25 07:16 jghali Note Added: 0022545
2009-09-25 07:19 jghali Note Edited: 0022545
2009-09-25 09:30 jghali Note Added: 0022546
2009-09-25 09:33 jghali Note View State: 22546: public
2010-09-08 19:03 cbradney Relationship added has duplicate 0009349
2011-01-16 14:10 jghali Relationship added has duplicate 0009681
2011-01-16 15:40 cbradney Target Version => 1.4.0
2011-01-16 18:14 cbradney File Deleted: mshei.ttf
2011-01-16 18:14 cbradney View Status private => public
2011-01-16 18:14 cbradney Note Added: 0025406
2011-04-16 10:02 cbradney Target Version 1.4.0 => 1.4.1
2012-02-08 17:08 fschmid Note Added: 0027666
2012-02-08 17:08 fschmid Status new => resolved
2012-02-08 17:08 fschmid Fixed in Version => 1.4.1.svn
2012-02-08 17:08 fschmid Resolution open => fixed
2012-02-08 17:08 fschmid Assigned To => fschmid
2012-04-29 10:58 cbradney Status resolved => closed